import cStringIO
from Ft.Xml import EMPTY_NAMESPACE
from Ft.Xml.Lib import Print

doctype_expected_1 = """<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE foo PUBLIC "myPub" "mySys">
<foo/>"""

def test_writer(tester, domMod):
    tester.startGroup('Domlette serialization with Ft.Xml.Lib.Print')

    tester.startTest('minimal document with DOCTYPE')
    doc = domMod.implementation.createDocument(EMPTY_NAMESPACE, u'foo', None)
    doc.publicId = u'myPub'
    doc.systemId = u'mySys'
    buf = cStringIO.StringIO()
    Print.Print(doc, buf)
    result = buf.getvalue()
    tester.compare(doctype_expected_1, result)
    tester.testDone()

    tester.groupDone()
